Bug 732528 - Would like a way to produce GlobalJobId (classad) value from aviary JobID type [RFE]
Summary: Would like a way to produce GlobalJobId (classad) value from aviary JobID typ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: 2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: 2.1
: ---
Assignee: Pete MacKinnon
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 19:40 UTC by Trevor McKay
Modified: 2011-09-12 15:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 15:28:52 UTC


Attachments (Terms of Use)

Description Trevor McKay 2011-08-22 19:40:29 UTC
Description of problem:

The GlobalJobId field is available in a JobDetails record because it's in the classad but it would be nice if it were easily available from a JobID type.  This would make GlobalJobId uniformly accessible from a variety of Aviary response messages.

There is almost enough information in a JobID currently to produce the GlobalJobID; the only thing missing is the QDate (classad) value.  QDate could be added, and the value synthesized by the receiver (scheduler+#job_id+#queuedate) or perhaps the GlobalJobId string itself could be constructed and added into the JobID type.

Comment 1 Trevor McKay 2011-09-09 15:17:30 UTC
Note, currently cumin is thusly synthesizing the GlobalJobId field on a job summary returned from Aviary via GetSubmissionSummary with "includeJobSummaries" set:

j["GlobalJobId"] = job.id.scheduler + \
                   "#" + job.id.job + \
                   "#" + str(to_int_seconds(job.queued))

The values are all contained within the job summary object, so it is self-consistent.  The (small?) worry here is that cumin is synthesizing an id using explicit knowledge of how condor would construct that id -- not great practice.  It would be better if the id was provided by condor and cumin was a simple consumer.

So, it works, not a blocking issue, but there may be a vulnerability here.  Prioritize accordingly.

Comment 2 Trevor McKay 2011-09-12 15:28:52 UTC
It was decided Cumin doesn't really need this.  Qdate has been removed from the job id value on the "Jobs" tab when Aviary is used, job id is now scheduler#cluster.proc.


Note You need to log in before you can comment on or make changes to this bug.